package cn.com.qmth.examcloud.core.oe.student.api.controller.client;

import cn.com.qmth.examcloud.core.oe.student.bean.*;
import cn.com.qmth.examcloud.support.examing.ExamQuestion;
import cn.com.qmth.examcloud.support.examing.ExamRecordPaperStruct;
import cn.com.qmth.examcloud.web.support.ControllerSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.web.bind.annotation.*;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@Api(tags = "（客户端）考试过程相关接口")
@RestController
@RequestMapping("${app.api.oe.student}/client/exam/process")
public class ExamProcessController extends ControllerSupport {

    @ApiOperation(value = "开始考试")
    @PostMapping("/startExam")
    public StartExamInfo startExam(@RequestParam Long examStudentId) {
        return new StartExamInfo();
    }

    @ApiOperation(value = "开始答题")
    @PostMapping("/startAnswer")
    public StartAnswerInfo startAnswer(@RequestParam @ApiParam(value = "考试记录ID") Long examRecordDataId) {
        return new StartAnswerInfo();
    }

    @ApiOperation(value = "断点续考:检查正在进行中的考试")
    @PostMapping("/checkExamInProgress")
    public ExamProcessResultInfo checkExamInProgress() {
        return new ExamProcessResultInfo();
    }

    @ApiOperation(value = "考试心跳")
    @PostMapping("/examHeartbeat")
    public Long examHeartbeat(HttpServletRequest request) {
        return null;
    }

    @ApiOperation(value = "结束考试：交卷")
    @PostMapping("/endExam")
    public void endExam(HttpServletRequest request) {

    }

    @ApiOperation(value = "获取考试记录信息")
    @PostMapping("/getEndExamInfo")
    public EndExamInfo getEndExamInfo(@RequestParam Long examRecordDataId) {
        return new EndExamInfo();
    }

    @ApiOperation(value = "获取考试记录试卷结构")
    @PostMapping("/getExamRecordPaperStruct")
    public ExamRecordPaperStruct getExamRecordPaperStruct(@RequestParam Long examRecordDataId) {
        return null;
    }

    @ApiOperation(value = "考试过程中-获取试题列表")
    @PostMapping("/findExamQuestionList")
    public List<ExamQuestion> findExamQuestionList() {
        return null;
    }

    @ApiOperation(value = "考试过程中-获取试题内容")
    @PostMapping("/getQuestionContent")
    public String getQuestionContent(@RequestParam String questionId) {
        return null;
    }

    @ApiOperation(value = "考试过程中-考生试题作答")
    @PostMapping("/submitQuestionAnswer")
    public void submitQuestionAnswer(@RequestBody List<ExamStudentQuestionInfo> examQuestionInfos,
                                     HttpServletRequest request) {
    }

    @ApiOperation(value = "保存活体检测结果")
    @PostMapping("/saveFaceBiopsyResult")
    public SaveFaceBiopsyResultResp saveFaceBiopsyResult(@RequestBody SaveFaceBiopsyResultReq req) {
        return null;
    }

    @ApiOperation(value = "获取课程名称")
    @PostMapping("/courseName/{id}")
    public String courseName(@PathVariable Long id) {
        return null;
    }

}
